{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"paths":{"/analytics":{"get":{"operationId":"getAnalyticsData","summary":"Get analytics data","description":"Gets analytics data based on the specified resource, metrics, and given filters for team, internal, and public workspaces, as well as Partner Workspaces.\n\n**Note:**\n\nThis endpoint only accepts the following resource:metric query parameter combinations:\n- `user` — `workspace_active_users`, `active_users`\n- `workspace` — `elements_in_workspace`, `active_workspaces`, `api_calls`, `active_collections`, `response_status`, `pending_invites`, `needs_attention`, `success_rate`, `user_requests`, `collection_error_aggregate`\n- `team` — `user_api_journey`, `workspace_distribution`, `internal_workspace_distribution`, `license_consumption`, `members`, `last_autoflex_cycle`, `partner_engagement_funnel` `members_overtime` , `member_invites`, `invites_sent` , `invites_accepted`\n- `ai` — `top_agent_models_by_usage`, `activity_distribution`, `peak_activity`, `usage_leaderboard`, `credit_usage_by_model`, `messages_sent`, `credit_usage`, `agent_mode_sessions`, `new_vs_returning_users`, `agent_mode_users`\n- `api_development` — `active_workspaces`, `entity_activity`, `top_entities`\n- `api_testing` — `runs`, `functional_test_runs`, `performance_test_runs`\n- `api_production` — `monitor_runs`, `flow_executions`\n- `api_distribution` — `active_workspaces`, `pvt_network`, `partner`, `public`\n- `api_management` — `workspace_activity`\n\nThe `view` query parameter only accepts the following values when called with the following resource:metric pairs:\n`detailed` or `summary` — `user:active_users`, `workspace:active_workspaces`, `workspace:pending_invites`, `workspace:needs_attention`, `workspace:success_rate`, `team:partner_engagement_funnel`, `api_distribution:pvt_network`, `api_distribution:partner`, `api_distribution:public`\n- `detailed`, `summary`, or `trends` — `api_development:entity_activity`, `api_testing:functional_test_runs` , `api_testing:performance_test_runs`, `api_production:monitor_runs`, `api_production:flow_executions`\n- `summary` or `trend` — `api_development:active_workspaces`, `api_testing:runs`, `api_distribution:active_workspaces`, `api_management:workspace_activity`\n- `summary` only — `workspace:elements_in_workspace`, `workspace:workspace_active_users`, `workspace:api_calls`, `workspace:response_status`, `team:user_api_journey`, `team:workspace_distribution`, `team:internal_workspace_distribution`, `team:license_consumption`\n- `detailed` only — `workspace:active_collections`, `workspace:user_requests`, `api_development:top_entities`, `api_management:popular_workspaces` , `team:invites_sent` , `team:invites_accepted`\n- `trend` only — `team:members_overtime`, `team:member_invites`\n","tags":["analytics"],"parameters":[{"name":"resource","in":"query","description":"Returns metrics and insights for API usage, success, and workspace/team trends in Postman:\n\n- `user` — Data related to individual user activities and engagement within Postman workspaces.\n- `team` — Team-level analytics, license consumption, and organizational trends.\n- `workspace` — Workspace-level activities, elements, and collaboration patterns.\n- `ai` — Analytics related to Agent Mode usage across workspaces, covering user activity, model usage, and credit consumption patterns.\n- `api_development` — API development activity metrics that include workspace counts, entity activity by type (collection, flow, mock, specification, sdk), and top entities.\n- `api_testing` — API testing metrics such as total test runs, functional test runs (Collection Runner), and performance test runs.\n- `api_production` — API production metrics, including monitor run activity and production flow execution activity.\n- `api_distribution` — API distribution metrics, such as active workspace counts across distribution channels.\n- `api_management` — API management metrics, such as workspace activity, active counts, trends, and top workspaces.\n","required":true,"schema":{"$ref":"#/components/schemas/analyticsResource"}},{"name":"metrics","in":"query","description":"Filters the response by only the given metrics. The metric must match the given `resource` value.\n\nFor a list of metrics and their related `resource` value, call the GET `/analytics-metadata` endpoint.\n","required":true,"schema":{"$ref":"#/components/schemas/analyticsMetrics"}},{"name":"view","in":"query","description":"The view type for the analytics data:\n  - `detailed` — Return extensive information.\n  - `summary` — Return aggregated information.\n  - `trend` — Return trend information over a duration.\n","required":false,"schema":{"$ref":"#/components/schemas/analyticsView"}},{"name":"workspaceType","in":"query","description":"A comma-separated list of `internal`, `public`, and `partner` workspace types to filter the results by.","required":false,"schema":{"$ref":"#/components/schemas/analyticsWorkspaceType"}},{"name":"userId","in":"query","description":"A comma-separated list of user IDs to filter the results by. Only pass this parameter when calling the `user_requests` metric for the `workspace` resource.","required":false,"schema":{"$ref":"#/components/schemas/analyticsUserId"}},{"name":"duration","in":"query","description":"Filters the response by the given duration.","required":false,"schema":{"$ref":"#/components/schemas/analyticsDuration"}},{"name":"requestId","in":"query","description":"A comma-separated list of unique request IDs (`userId`-`requestId`) to filter the response by. Only pass this parameter when using the `user_requests` metric.","required":false,"schema":{"$ref":"#/components/schemas/analyticsRequestId"}},{"name":"responseStatus","in":"query","description":"A comma-separated list of HTTP response status codes to filter the results by. Accepts values `100` through `600`. Only pass this parameter when using the `user_requests` metric.","required":false,"schema":{"$ref":"#/components/schemas/analyticsResponseStatus"}},{"name":"attentionType","in":"query","description":"A comma-separated list of issues types to filter the results by. Attention types provide details about issues users or partners are facing. Accepts the `high_non_200OK_rate_for_partner` and `no_success_on_tried_request` values. Only pass this parameter when using the `needs_attention` metric.","required":false,"schema":{"$ref":"#/components/schemas/analyticsAttentionType"}},{"name":"period","in":"query","description":"Filters results for a given period of time (as opposed to a range) for supported views. Use a YEAR-MONTH value for month filtering or YEAR-MONTH-DAY day filtering.","required":false,"schema":{"$ref":"#/components/schemas/analyticsPeriod"}},{"name":"userType","in":"query","description":"Filters results by a specific user type for supported views.","required":false,"schema":{"$ref":"#/components/schemas/analyticsUserType"}},{"name":"entityType","in":"query","description":"The type of Postman entity to filter results by.","required":false,"schema":{"$ref":"#/components/schemas/analyticsEntityType"}},{"name":"limit","in":"query","description":"The maximum number of rows to return in the response.","required":false,"schema":{"$ref":"#/components/schemas/limitDefault100Max10000","default":100}},{"name":"offset","in":"query","description":"The zero-based offset of the first item to return.","required":false,"schema":{"$ref":"#/components/schemas/offsetMax10000","default":0}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getAnalyticsData"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAnalyticsDataRequestInternalServerError"}}}}}}},"/analytics-metadata":{"get":{"operationId":"getAnalyticsMetadata","summary":"Get analytics metadata","description":"Returns a catalog of analytics resources and their corresponding metrics for use with the GET /analytics endpoint. These metrics provide insights on API usage, success, workspace, and team trends in Postman.","tags":["analytics"],"parameters":[{"name":"include","in":"query","description":"A comma-separated list of the additional information to include in the response. Accepts the `parameters` and `response` values.\n\nWhen you pass this query parameter and its values, the response provides detailed information, including parameters and response schemas for the given metrics.\n","required":false,"schema":{"$ref":"#/components/schemas/analyticsMetadataInclude"}},{"name":"resources","in":"query","description":"A comma-separated list of resource types to filter the metrics by. Accepts the `user`, `workspace`, `team`, and `ai` values.","required":false,"schema":{"$ref":"#/components/schemas/analyticsMetadataResources"}},{"name":"metrics","in":"query","description":"A comma-separated list of metrics values to use to filter the response.\n\nIf you don't pass this query parameter, then the response returns all metadata for all available metrics.\n","required":false,"schema":{"$ref":"#/components/schemas/analyticsMetrics"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getAnalyticsMetadata"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAnalyticsMetadataRequestInternalServerError"}}}}}}},"/apis":{"get":{"operationId":"getApis","summary":"Get all APIs","description":"Gets information about all APIs in a workspace.","tags":["api"],"parameters":[{"name":"workspaceId","in":"query","description":"The workspace's ID.","required":true,"schema":{"$ref":"#/components/schemas/workspaceId"}},{"name":"createdBy","in":"query","description":"Return only results created by the given user ID.","required":false,"schema":{"$ref":"#/components/schemas/createdBy"}},{"name":"cursor","in":"query","description":"The pointer to the first record of the set of paginated results. To view the next response, use the `nextCursor` value for this parameter.","required":false,"schema":{"$ref":"#/components/schemas/cursor"}},{"name":"description","in":"query","description":"Return only APIs whose description includes the given value. Matching is not case-sensitive.","required":false,"schema":{"$ref":"#/components/schemas/apiDescription"}},{"name":"limit","in":"query","description":"The maximum number of rows to return in the response.","required":false,"schema":{"$ref":"#/components/schemas/limit","default":10}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApis"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApisRequestUnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApisRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApisRequestNotFoundError"}}}},"422":{"description":"v9 Unsupported","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApisRequestInternalServerError"}}}}}},"post":{"operationId":"createApi","summary":"Create an API","description":"Creates an API.","tags":["api"],"parameters":[{"name":"workspaceId","in":"query","description":"The workspace's ID.","required":true,"schema":{"$ref":"#/components/schemas/workspaceId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/createApiResponse"}}}},"400":{"description":"Missing Workspace ID","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/createUpdateApi"}}}}}},"/apis/{apiId}":{"get":{"operationId":"getApi","summary":"Get an API","description":"Gets information about an API.\n\n**Note:**\n\n- Git-connected APIs will only return the `versions` and `gitInfo` query responses. This is because schema and collection information is stored in the connected Git repository. The `gitInfo` object only lists the repository and folder locations of the files.\n- API viewers can only use the `versions` option in the `include` query parameter.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"include","in":"query","description":"An array that contains additional resources to include in the response. Use this parameter to query for element links to the API, such as collections and schemas:\n- `collections` — Query for linked Postman collections.\n- `versions` — Query for linked versions.\n- `schemas` — Query for linked schemas.\n- `gitInfo` — Query for information about the API's git-linked repository. This query only returns the linked repository and folder locations of the files. It does not return `collections` or `schemas` information.\n\n**Note:**\n\nAPI viewers can only use the `versions` option.\n","required":false,"schema":{"$ref":"#/components/schemas/apiInclude"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApi"}}}},"400":{"description":"Missing v10 Accept Header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiErrorNameMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiRequestNotFoundError"}}}},"422":{"description":"v9 Unsupported","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiRequestInternalServerError"}}}}}},"put":{"operationId":"updateApi","summary":"Update an API","description":"Updates an API.","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/updateApiResponse"}}}},"400":{"description":"Missing v10 Accept Header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiErrorNameMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApiRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApiRequestNotFoundError"}}}},"422":{"description":"v9 Unsupported","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApiRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/createUpdateApi"}}}}},"delete":{"operationId":"deleteApi","summary":"Delete an API","description":"Deletes an API. On success, this returns an HTTP `204 No Content` response.","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"204":{"description":"No Content","content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"400":{"description":"Missing v10 Accept Header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiErrorNameMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteApiRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteApiRequestNotFoundError"}}}},"422":{"description":"v9 Unsupported","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteApiRequestInternalServerError"}}}}}}},"/apis/{apiId}/collections":{"post":{"operationId":"addApiCollection","summary":"Add a collection","description":"Adds a collection to an API. To do this, use the following `operationType` values:\n\n- `COPY_COLLECTION` — Copies a collection from the workspace and adds it to an API.\n- `CREATE_NEW` — Creates a new collection by providing the new collection's content.\n- `GENERATE_FROM_SCHEMA` — Generates the collection from an API schema.\n    - `options` — An object that contains advanced creation options and their values. You can find a complete list of properties and their values in Postman's [OpenAPI to Postman Collection Converter OPTIONS documentation](https://github.com/postmanlabs/openapi-to-postman/blob/develop/OPTIONS.md). These properties are case-sensitive.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/addApiCollectionResponse"}}}},"400":{"description":"Missing v10 Accept Header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiErrorNameMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddApiCollectionRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddApiCollectionRequestNotFoundError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddApiCollectionRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_addApiCollection_Request"}}}}}},"/apis/{apiId}/collections/{collectionId}":{"get":{"operationId":"getApiCollection","summary":"Get a collection","description":"Gets a collection attached to an API. You can use the `versionId` query parameter to get a collection published in a version.\n\n**Note:**\n\n- You cannot use this endpoint to get a Git-linked API collection. Collections in a Git-linked API are stored in the linked Git repository, not in the Postman cloud. This endpoint only has access to Postman servers.\n- You can get a collection published in an API version with the `versionId` query parameter.\n- The `versionId` query parameter is a required parameter for API viewers.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"collectionId","in":"path","description":"The collection's unique ID.","required":true,"schema":{"$ref":"#/components/schemas/collectionIdApi"}},{"name":"versionId","in":"query","description":"The API's version ID. This is a required parameter for API viewers.","required":false,"schema":{"$ref":"#/components/schemas/apiVersionId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiCollection"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCollectionRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCollectionRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCollectionRequestNotFoundError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCollectionRequestInternalServerError"}}}}}}},"/apis/{apiId}/collections/{collectionId}/comments":{"get":{"operationId":"getApiCollectionComments","summary":"Get a collection's comments","description":"Gets all comments left by users in an API's collection.","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"collectionId","in":"path","description":"The collection's unique ID.","required":true,"schema":{"$ref":"#/components/schemas/collectionIdApi"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commentResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}}}},"post":{"operationId":"createApiCollectionComment","summary":"Create a collection comment","description":"Creates a comment on an API's collection. To create a reply on an existing comment, include the `threadId` property in the request body.\n\n**Note:**\n\nThis endpoint accepts a max of 10,000 characters.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"collectionId","in":"path","description":"The collection's unique ID.","required":true,"schema":{"$ref":"#/components/schemas/collectionIdApi"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commentCreatedUpdated"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/commentCreate"}}}}}},"/apis/{apiId}/collections/{collectionId}/comments/{commentId}":{"put":{"operationId":"updateApiCollectionComment","summary":"Update a collection's comment","description":"Updates a comment on an API's collection.\n\n**Note:**\n\nThis endpoint accepts a max of 10,000 characters.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"collectionId","in":"path","description":"The collection's unique ID.","required":true,"schema":{"$ref":"#/components/schemas/collectionIdApi"}},{"name":"commentId","in":"path","description":"The comment's ID.","required":true,"schema":{"$ref":"#/components/schemas/commentId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commentCreatedUpdated"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/commentUpdate"}}}}},"delete":{"operationId":"deleteApiCollectionComment","summary":"Delete a collection's comment","description":"Deletes a comment from an API's collection. On success, this returns an HTTP `204 No Content` response.\n\n**Note:**\n\nDeleting the first comment of a thread deletes all the comments in the thread.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"collectionId","in":"path","description":"The collection's unique ID.","required":true,"schema":{"$ref":"#/components/schemas/collectionIdApi"}},{"name":"commentId","in":"path","description":"The comment's ID.","required":true,"schema":{"$ref":"#/components/schemas/commentId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content","content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}}}}},"/apis/{apiId}/collections/{collectionId}/sync-with-schema-tasks":{"put":{"operationId":"syncCollectionWithSchema","summary":"Sync collection with schema","description":"Syncs a collection attached to an API with the API schema.\n\nThis is an asynchronous endpoint that returns an HTTP `202 Accepted` response. The response contains a polling link to the `/apis/{apiId}/tasks/{taskId}` endpoint in the `Location` header.\n\n**Note:**\n\nThis endpoint only supports the OpenAPI 3 schema type.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"collectionId","in":"path","description":"The collection's unique ID.","required":true,"schema":{"$ref":"#/components/schemas/collectionIdApi"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/syncCollectionWithSchemaResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyncCollectionWithSchemaRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyncCollectionWithSchemaRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyncCollectionWithSchemaRequestNotFoundError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyncCollectionWithSchemaRequestInternalServerError"}}}}}}},"/apis/{apiId}/comments":{"get":{"operationId":"getApiComments","summary":"Get an API's comments","description":"Gets all comments left by users in an API.","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commentResponse"}}}},"400":{"description":"Missing v10 Accept Header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiErrorNameMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}}}},"post":{"operationId":"createApiComment","summary":"Create an API comment","description":"Creates a comment on an API. To create a reply on an existing comment, include the `threadId` property in the request body.\n\n**Note:**\n\nThis endpoint accepts a max of 10,000 characters.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commentCreatedUpdated"}}}},"400":{"description":"Missing v10 Accept Header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiErrorNameMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/commentCreate"}}}}}},"/apis/{apiId}/comments/{commentId}":{"put":{"operationId":"updateApiComment","summary":"Update an API's comment","description":"Updates a comment on an API.\n\n**Note:**\n\nThis endpoint accepts a max of 10,000 characters.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"commentId","in":"path","description":"The comment's ID.","required":true,"schema":{"$ref":"#/components/schemas/commentId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commentCreatedUpdated"}}}},"400":{"description":"Missing v10 Accept Header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiErrorNameMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/commentUpdate"}}}}},"delete":{"operationId":"deleteApiComment","summary":"Delete an API's comment","description":"Deletes a comment from an API. On success, this returns an HTTP `204 No Content` response.\n\n**Note:**\n\nDeleting the first comment of a thread deletes all the comments in the thread.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"commentId","in":"path","description":"The comment's ID.","required":true,"schema":{"$ref":"#/components/schemas/commentId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content","content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"400":{"description":"Missing v10 Accept Header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiErrorNameMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}}}}},"/apis/{apiId}/schemas":{"post":{"operationId":"createApiSchema","summary":"Create a schema","description":"Creates a schema for an API.","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/createApiSchemaResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiSchemaRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiSchemaRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiSchemaRequestNotFoundError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiSchemaRequestInternalServerError"}}}}},"requestBody":{"description":"The request body to create an API schema.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/createApiSchema"}}}}}},"/apis/{apiId}/schemas/{schemaId}":{"get":{"operationId":"getApiSchema","summary":"Get a schema","description":"Gets information about API schema. You can use the `versionId` query parameter to get a schema published in an API version.\n\nYou can use this API to do the following:\n\n- Get a schema's metadata.\n- Get all the files in a schema. This only returns the first file in the schema. The endpoint response contains a link to the next set of response results.\n- Get a schema's contents in multi-file or bundled format.\n\n**Note:**\n\nThe `versionId` query parameter is a required parameter for API viewers.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"schemaId","in":"path","description":"The API schema's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiSchemaId"}},{"name":"versionId","in":"query","description":"The API's version ID. This is a required parameter for API viewers.","required":false,"schema":{"$ref":"#/components/schemas/apiVersionId"}},{"name":"bundled","in":"query","description":"If true, return the schema in a bundled format.","required":false,"schema":{"$ref":"#/components/schemas/apiSchemaOutput","default":false}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiSchemaRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiSchemaRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiSchemaRequestNotFoundError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiSchemaRequestInternalServerError"}}}}}}},"/apis/{apiId}/schemas/{schemaId}/files":{"get":{"operationId":"getApiSchemaFiles","summary":"Get schema files","description":"Gets the files in an API schema. You can use the `versionId` query parameter to get schema files published in an API version.\n\n**Note:**\n\nThe `versionId` query parameter is a required parameter for API viewers.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"schemaId","in":"path","description":"The API schema's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiSchemaId"}},{"name":"versionId","in":"query","description":"The API's version ID. This is a required parameter for API viewers.","required":false,"schema":{"$ref":"#/components/schemas/apiVersionId"}},{"name":"limit","in":"query","description":"The maximum number of rows to return in the response.","required":false,"schema":{"$ref":"#/components/schemas/limit","default":10}},{"name":"cursor","in":"query","description":"The pointer to the first record of the set of paginated results. To view the next response, use the `nextCursor` value for this parameter.","required":false,"schema":{"$ref":"#/components/schemas/cursor"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiSchemaFiles"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiSchemaFilesRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiSchemaFilesRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiSchemaFilesRequestNotFoundError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiSchemaFilesRequestInternalServerError"}}}}}}},"/apis/{apiId}/schemas/{schemaId}/files/{file-path}":{"get":{"operationId":"getApiSchemaFileContents","summary":"Get schema file contents","description":"Gets an API schema file contents at the defined path. You can use the `versionId` query parameter to get schema file contents published in an API version.\n\n**Note:**\n\nThe `versionId` query parameter is a required parameter for API viewers.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"schemaId","in":"path","description":"The API schema's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiSchemaId"}},{"name":"file-path","in":"path","description":"The path to the schema file.","required":true,"schema":{"$ref":"#/components/schemas/file-path"}},{"name":"versionId","in":"query","description":"The API's version ID. This is a required parameter for API viewers.","required":false,"schema":{"$ref":"#/components/schemas/apiVersionId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiSchemaFileContents"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiSchemaFileContentsRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiSchemaFileContentsRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiSchemaFileContentsRequestNotFoundError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiSchemaFileContentsRequestInternalServerError"}}}}}},"put":{"operationId":"createUpdateApiSchemaFile","summary":"Create or update a schema file","description":"Creates or updates an API schema file.\n\n**Note:**\n\n- If the provided file path exists, the file is updated with the new contents.\n- If the provided file path does not exist, then a new schema file is created.\n- If the file path contains a `/` (forward slash) character, then a folder is created. For example, if the file path is the `dir/schema.json` value, then a `dir` folder is created with the `schema.json` file inside.\n- You can only update the `root` tag for protobuf specifications.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"schemaId","in":"path","description":"The API schema's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiSchemaId"}},{"name":"file-path","in":"path","description":"The path to the schema file.","required":true,"schema":{"$ref":"#/components/schemas/file-path"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/createUpdateApiSchemaFileResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUpdateApiSchemaFileRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUpdateApiSchemaFileRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUpdateApiSchemaFileRequestNotFoundError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUpdateApiSchemaFileRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/createUpdateApiSchemaFile"}}}}},"delete":{"operationId":"deleteApiSchemaFile","summary":"Delete a schema file","description":"Deletes a file in an API schema. On success, this returns an HTTP `204 No Content` response.","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"schemaId","in":"path","description":"The API schema's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiSchemaId"}},{"name":"file-path","in":"path","description":"The path to the schema file.","required":true,"schema":{"$ref":"#/components/schemas/file-path"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"204":{"description":"Deleted","content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteApiSchemaFileRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteApiSchemaFileRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteApiSchemaFileRequestNotFoundError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteApiSchemaFileRequestInternalServerError"}}}}}}},"/apis/{apiId}/tasks/{taskId}":{"get":{"operationId":"getStatusOfAnAsyncApiTask","summary":"Get status of an asynchronous task","description":"Gets the status of an asynchronous task.","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"taskId","in":"path","description":"The task's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiTaskId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getStatusOfAnAsyncApiTask"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetStatusOfAnAsyncApiTaskRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetStatusOfAnAsyncApiTaskRequestForbiddenError"}}}},"404":{"description":"Task Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetStatusOfAnAsyncApiTaskRequestInternalServerError"}}}}}}},"/apis/{apiId}/versions":{"get":{"operationId":"getApiVersions","summary":"Get all versions","description":"Gets all the published versions of an API.","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"cursor","in":"query","description":"The pointer to the first record of the set of paginated results. To view the next response, use the `nextCursor` value for this parameter.","required":false,"schema":{"$ref":"#/components/schemas/cursor"}},{"name":"limit","in":"query","description":"The maximum number of rows to return in the response.","required":false,"schema":{"$ref":"#/components/schemas/limit","default":10}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiVersions"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiVersionsRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiVersionsRequestNotFoundError"}}}},"422":{"description":"v9 Unsupported","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiVersionsRequestInternalServerError"}}}}}},"post":{"operationId":"createApiVersion","summary":"Create a version","description":"Creates a new API version asynchronously and immediately returns an HTTP `202 Accepted` response. The response contains a polling link to the task status API in the `Location` header.\n\nThis endpoint is equivalent to publishing a version in Postman app, which is the snapshot of API collections and schema at a given point in time.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/createApiVersionResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiVersionRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiVersionRequestNotFoundError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetail"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiVersionRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_createApiVersion_Request"}}}}}},"/apis/{apiId}/versions/{versionId}":{"get":{"operationId":"getApiVersion","summary":"Get a version","description":"Gets information about an API version.\n\n**Note:**\n\n- For API editors, this endpoint returns an HTTP `302 Found` status code when the version status is pending. It also returns the `/apis/{apiId}/tasks/{taskId}` task status response header.\n- For API viewers, this endpoint returns an HTTP `404 Not Found` when the version status is pending.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"versionId","in":"path","description":"The API's version ID.","required":true,"schema":{"$ref":"#/components/schemas/apiVersionId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiVersion"}}}},"400":{"description":"Missing v10 Accept Header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiErrorNameMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiVersionRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiVersionRequestNotFoundError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiVersionRequestInternalServerError"}}}}}},"put":{"operationId":"updateApiVersion","summary":"Update a version","description":"Updates an API version.\n\n**Note:**\n\nThis endpoint returns an HTTP `404 Not Found` response when an API version is pending publication.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"versionId","in":"path","description":"The API's version ID.","required":true,"schema":{"$ref":"#/components/schemas/apiVersionId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/updateApiVersionResponse"}}}},"400":{"description":"Missing v10 Accept Header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiErrorNameMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApiVersionRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApiVersionRequestNotFoundError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApiVersionRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/updateApiVersion"}}}}},"delete":{"operationId":"deleteApiVersion","summary":"Delete a version","description":"Deletes an API version. On success, this returns an HTTP `204 No Content` response.\n\n**Note:**\n\nThis endpoint returns an HTTP `404 Not Found` response when an API version is pending publication.\n","tags":["api"],"parameters":[{"name":"apiId","in":"path","description":"The API's ID.","required":true,"schema":{"$ref":"#/components/schemas/apiId"}},{"name":"versionId","in":"path","description":"The API's version ID.","required":true,"schema":{"$ref":"#/components/schemas/apiVersionId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The `application/vnd.api.v10+json` request header required to use the endpoint.","required":true,"schema":{"$ref":"#/components/schemas/v10Accept"}}],"responses":{"204":{"description":"No Content","content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteApiVersionRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatusInstance"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteApiVersionRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteApiVersionRequestNotFoundError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteApiVersionRequestInternalServerError"}}}}}}},"/api-catalog/discovery-services":{"get":{"operationId":"getApiCatalogDiscoveryServices","summary":"Get discovered services","description":"Gets a list of all [discovered services](https://learning.postman.com/docs/api-catalog/overview#discover-apis-and-services) in the API Catalog.","tags":["apiCatalog"],"parameters":[{"name":"discoverySource","in":"query","description":"Filter results by the given discovery source type:\n- `api_gateway_app` — API Gateway integrations.\n- `insights_project` — Postman Insights.\n- `infra_watcher` — Cluster Watcher.\n- `public_api` — Services manually added using the POST `/api-catalog/discovery-services` endpoint.\n","required":false,"schema":{"$ref":"#/components/schemas/discoveryServicesSource"}},{"name":"status","in":"query","description":"A comma-separated list of statuses to filter the results by. Accepts the `discovered`, `integrated`, and `archived` values.","required":false,"schema":{"$ref":"#/components/schemas/discoveryServicesStatus"}},{"name":"search","in":"query","description":"Filter results by the given value that match a service's name. Matching is not case-sensitive.","required":false,"schema":{"$ref":"#/components/schemas/discoveryServicesSearch"}},{"name":"limit","in":"query","description":"The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.","required":false,"schema":{"$ref":"#/components/schemas/limitDefault20","default":20}},{"name":"cursor","in":"query","description":"The pointer to the first record of the set of paginated results. To view the next response, use the `nextCursor` value for this parameter.","required":false,"schema":{"$ref":"#/components/schemas/cursor"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiCatalogDiscoveryServices"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiCatalogError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogDiscoveryServicesRequestInternalServerError"}}}}}},"post":{"operationId":"postApiCatalogDiscoveryServices","summary":"Add discovered services to the API Catalog","description":"Adds discovered services to the API Catalog. Accepts up to 20 services in a single call.","tags":["apiCatalog"],"parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/postApiCatalogDiscoveryServicesResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiCatalogError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostApiCatalogDiscoveryServicesRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postApiCatalogDiscoveryServices"}}}}}},"/api-catalog/discovery-services/{serviceId}":{"get":{"operationId":"getApiCatalogDiscoveryService","summary":"Get a discovered service's information","description":"Gets detailed information about a discovered service, including a base64-encoded OpenAPI specification and an array of endpoints.","tags":["apiCatalog"],"parameters":[{"name":"serviceId","in":"path","description":"The discovered service's ID.","required":true,"schema":{"$ref":"#/components/schemas/serviceId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiCatalogDiscoveryService"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogDiscoveryServiceRequestInternalServerError"}}}}}}},"/api-catalog/services":{"get":{"operationId":"getApiCatalogServices","summary":"Get all services","description":"Gets a list of services in a system environment. The response includes details about analytics, compliance, and governance metadata.","tags":["apiCatalog"],"parameters":[{"name":"systemEnvironmentId","in":"query","description":"The system environment's ID.","required":true,"schema":{"$ref":"#/components/schemas/systemEnvironmentId"}},{"name":"name","in":"query","description":"Filter results to the given the service name. This is case-insensitive.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceNameFilter"}},{"name":"tags","in":"query","description":"A comma-separated list of tag names to filter by.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceTagsFilter"}},{"name":"governanceGroupId","in":"query","description":"Filter results to only services that belong to the given governance group ID.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceGovernanceGroupIdFilter"}},{"name":"limit","in":"query","description":"The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.","required":false,"schema":{"$ref":"#/components/schemas/limitDefault20","default":20}},{"name":"cursor","in":"query","description":"The pointer to the first record of the set of paginated results. To view the next response, use the `nextCursor` value for this parameter.","required":false,"schema":{"$ref":"#/components/schemas/cursor"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiCatalogServices"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiCatalogError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogServicesRequestInternalServerError"}}}}}}},"/api-catalog/services/{serviceId}":{"get":{"operationId":"getApiCatalogService","summary":"Get a service by ID","description":"Gets information about a service, including its health, traffic, compliance, ownership, and dependencies.","tags":["apiCatalog"],"parameters":[{"name":"serviceId","in":"path","description":"The service's ID.","required":true,"schema":{"$ref":"#/components/schemas/serviceId"}},{"name":"systemEnvironmentId","in":"query","description":"The system environment's ID.","required":true,"schema":{"$ref":"#/components/schemas/systemEnvironmentId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiCatalogService"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiCatalogError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogServiceRequestInternalServerError"}}}}}}},"/api-catalog/services/{serviceId}/endpoints":{"get":{"operationId":"getApiCatalogServiceEndpoints","summary":"Get a service's endpoints","description":"Get a list of observed API endpoints for a service and its performance metrics.","tags":["apiCatalog"],"parameters":[{"name":"serviceId","in":"path","description":"The service's ID.","required":true,"schema":{"$ref":"#/components/schemas/serviceId"}},{"name":"systemEnvironmentId","in":"query","description":"The system environment's ID.","required":true,"schema":{"$ref":"#/components/schemas/systemEnvironmentId"}},{"name":"httpMethods","in":"query","description":"A.comma-separated list of HTTP methods to filter the results by.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceHttpMethodFilter"}},{"name":"hosts","in":"query","description":"A comma-separated list of hostnames to filter the results by.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceHostsFilter"}},{"name":"responseCodes","in":"query","description":"A comma-separated list of HTTP status codes to filter the results by.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceResponseCodeFilter"}},{"name":"search","in":"query","description":"Filter results to the search filter given on the endpoint's path.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceSearchFilter"}},{"name":"sort","in":"query","description":"Sort the results in field:direction order format. Accepts the `count`, `endpoint`, `p95LatencyMs`, and `errorRate` fields. Supports the `asc` and `desc` directions.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceSortEndpointsFilter"}},{"name":"limit","in":"query","description":"The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.","required":false,"schema":{"$ref":"#/components/schemas/limitDefault20","default":20}},{"name":"cursor","in":"query","description":"The pointer to the first record of the set of paginated results. To view the next response, use the `nextCursor` value for this parameter.","required":false,"schema":{"$ref":"#/components/schemas/cursor"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiCatalogServiceEndpoints"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiCatalogError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogServiceEndpointsRequestInternalServerError"}}}}}}},"/api-catalog/services/{serviceId}/monitor-runs":{"get":{"operationId":"getApiCatalogServiceMonitorRuns","summary":"Get a service's monitor runs","description":"Gets a list of scheduled monitor runs for a service that includes summary statistics.","tags":["apiCatalog"],"parameters":[{"name":"serviceId","in":"path","description":"The service's ID.","required":true,"schema":{"$ref":"#/components/schemas/serviceId"}},{"name":"systemEnvironmentId","in":"query","description":"The system environment's ID.","required":true,"schema":{"$ref":"#/components/schemas/systemEnvironmentId"}},{"name":"collectionId","in":"query","description":"Filter results to only the given collection ID's runs.","required":false,"schema":{"$ref":"#/components/schemas/collectionUid"}},{"name":"sort","in":"query","description":"Sort the results in field:direction order format. Accepts the `timestamp`, `duration`, and `failedAssertions` fields. Supports the `asc` and `desc` directions.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceSortMonitorRun"}},{"name":"environmentId","in":"query","description":"Filter results to only the given environment ID runs.","required":false,"schema":{"$ref":"#/components/schemas/environmentId"}},{"name":"status","in":"query","description":"Filter results by run status.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceStatusFilter"}},{"name":"limit","in":"query","description":"The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.","required":false,"schema":{"$ref":"#/components/schemas/limitDefault20","default":20}},{"name":"cursor","in":"query","description":"The pointer to the first record of the set of paginated results. To view the next response, use the `nextCursor` value for this parameter.","required":false,"schema":{"$ref":"#/components/schemas/cursor"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiCatalogServiceMonitorRuns"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiCatalogError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogServiceMonitorRunsRequestInternalServerError"}}}}}}},"/api-catalog/services/{serviceId}/spec-lints":{"get":{"operationId":"getApiCatalogServiceSpecificationLints","summary":"Get a service's specification lints","description":"Gets a list of API specification lint runs for a service that includes summary statistics and per-severity issue counts.","tags":["apiCatalog"],"parameters":[{"name":"serviceId","in":"path","description":"The service's ID.","required":true,"schema":{"$ref":"#/components/schemas/serviceId"}},{"name":"specId","in":"query","description":"Filter results to the given API specification ID.","required":false,"schema":{"$ref":"#/components/schemas/specId"}},{"name":"severity","in":"query","description":"Filter results to runs with issues at or above the given severity threshold. Higher severities are always included.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceSpecLintSeverityFilter"}},{"name":"status","in":"query","description":"Filter results to the given spec lint outcome.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceStatusFilter"}},{"name":"sort","in":"query","description":"Sort the results in field:direction order format. Accepts the `timestamp` and `errorCount` fields. Supports the `asc` and `desc` directions.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceSortSpecLintFilter"}},{"name":"limit","in":"query","description":"The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.","required":false,"schema":{"$ref":"#/components/schemas/limitDefault20","default":20}},{"name":"cursor","in":"query","description":"The pointer to the first record of the set of paginated results. To view the next response, use the `nextCursor` value for this parameter.","required":false,"schema":{"$ref":"#/components/schemas/cursor"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiCatalogServiceSpecificationLints"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiCatalogError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogServiceSpecificationLintsRequestInternalServerError"}}}}}}},"/api-catalog/services/{serviceId}/ci-runs":{"get":{"operationId":"getApiCatalogServiceCiRuns","summary":"Get a service's CI runs","description":"Gets a paginated list of CI collection runs for a service that includes summary statistics, pipeline details, and Git metadata.","tags":["apiCatalog"],"parameters":[{"name":"serviceId","in":"path","description":"The service's ID.","required":true,"schema":{"$ref":"#/components/schemas/serviceId"}},{"name":"systemEnvironmentId","in":"query","description":"The system environment's ID.","required":true,"schema":{"$ref":"#/components/schemas/systemEnvironmentId"}},{"name":"collectionId","in":"query","description":"Filter results to only the given collection ID's runs.","required":false,"schema":{"$ref":"#/components/schemas/collectionUid"}},{"name":"environmentId","in":"query","description":"Filter results to only the given environment ID runs.","required":false,"schema":{"$ref":"#/components/schemas/environmentId"}},{"name":"status","in":"query","description":"Filter results by run status.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceStatusFilter"}},{"name":"branch","in":"query","description":"Filter results by the given Git branch name.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceBranchFilter"}},{"name":"workflowName","in":"query","description":"Filter results by the given CI workflow name.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceWorkflowNameFilter"}},{"name":"actor","in":"query","description":"Filter results by the given CI user that triggered the run.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceActorFilter"}},{"name":"repoName","in":"query","description":"Filter results by the given repository name.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceRepoNameFilter"}},{"name":"repoOwner","in":"query","description":"Filter results by the given repository owner.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceRepoOwnerFilter"}},{"name":"sort","in":"query","description":"Sort the results in field:direction order format. Accepts the `timestamp` and `duration` fields. Supports the `asc` and `desc` directions.","required":false,"schema":{"$ref":"#/components/schemas/apiCatalogServiceSortCiFilter"}},{"name":"limit","in":"query","description":"The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.","required":false,"schema":{"$ref":"#/components/schemas/limitDefault20","default":20}},{"name":"cursor","in":"query","description":"The pointer to the first record of the set of paginated results. To view the next response, use the `nextCursor` value for this parameter.","required":false,"schema":{"$ref":"#/components/schemas/cursor"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiCatalogServiceCiRuns"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiCatalogError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogServiceCiRunsRequestInternalServerError"}}}}}}},"/api-catalog/system-environments":{"get":{"operationId":"getApiCatalogSystemEnvironments","summary":"Get all system environments","description":"Gets all of the authenticated team's system environments.","tags":["apiCatalog"],"parameters":[{"name":"isProduction","in":"query","description":"If true, filters the response results to return only system environments marked as production.","required":false,"schema":{"$ref":"#/components/schemas/systemEnvironmentProductionFilter"}},{"name":"limit","in":"query","description":"The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.","required":false,"schema":{"$ref":"#/components/schemas/limitDefault20","default":20}},{"name":"cursor","in":"query","description":"The pointer to the first record of the set of paginated results. To view the next response, use the `nextCursor` value for this parameter.","required":false,"schema":{"$ref":"#/components/schemas/cursor"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiCatalogSystemEnvironments"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogSystemEnvironmentsRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogSystemEnvironmentsRequestInternalServerError"}}}}}},"post":{"operationId":"createApiCatalogSystemEnvironment","summary":"Create a system environment","description":"Creates a system environment for the authenticated team.","tags":["apiCatalog"],"parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/createApiCatalogSystemEnvironmentResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiCatalogSystemEnvironmentRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiCatalogSystemEnvironmentRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/createApiCatalogSystemEnvironment"}}}}}},"/api-catalog/system-environments/{systemEnvironmentId}":{"get":{"operationId":"getApiCatalogSystemEnvironment","summary":"Get a system environment","description":"Gets information about a system environment.","tags":["apiCatalog"],"parameters":[{"name":"systemEnvironmentId","in":"path","description":"The system environment's ID.","required":true,"schema":{"$ref":"#/components/schemas/systemEnvironmentId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiCatalogSystemEnvironment"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogSystemEnvironmentRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogSystemEnvironmentRequestInternalServerError"}}}}}},"patch":{"operationId":"updateApiCatalogSystemEnvironment","summary":"Update a system environment","description":"Updates a system environment's information. You can update one or more fields in a single call.\n\n**Note:**\n\nIf you update the name, it must be unique within the team.\n","tags":["apiCatalog"],"parameters":[{"name":"systemEnvironmentId","in":"path","description":"The system environment's ID.","required":true,"schema":{"$ref":"#/components/schemas/systemEnvironmentId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/updateApiCatalogSystemEnvironmentResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApiCatalogSystemEnvironmentRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApiCatalogSystemEnvironmentRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/updateApiCatalogSystemEnvironment"}}}}}},"/api-catalog/system-environments/{systemEnvironmentId}/associations":{"get":{"operationId":"getApiCatalogSystemEnvironmentAssociations","summary":"Get a system environment's associations","description":"Gets the workspace-environment associations for a system environment.","tags":["apiCatalog"],"parameters":[{"name":"systemEnvironmentId","in":"path","description":"The system environment's ID.","required":true,"schema":{"$ref":"#/components/schemas/systemEnvironmentId"}},{"name":"workspaceId","in":"query","description":"The workspace's ID to which the environments in the association belong to.","required":false,"schema":{"$ref":"#/components/schemas/systemEnvironmentWorkspaceId"}},{"name":"limit","in":"query","description":"The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.","required":false,"schema":{"$ref":"#/components/schemas/limitDefault20","default":20}},{"name":"cursor","in":"query","description":"The pointer to the first record of the set of paginated results. To view the next response, use the `nextCursor` value for this parameter.","required":false,"schema":{"$ref":"#/components/schemas/cursor"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getApiCatalogSystemEnvironmentAssociations"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogSystemEnvironmentAssociationsRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiCatalogSystemEnvironmentAssociationsRequestInternalServerError"}}}}}},"post":{"operationId":"addApiCatalogSystemEnvironmentAssociations","summary":"Add system environment associations","description":"Adds workspace-environment associations to a system environment.","tags":["apiCatalog"],"parameters":[{"name":"systemEnvironmentId","in":"path","description":"The system environment's ID.","required":true,"schema":{"$ref":"#/components/schemas/systemEnvironmentId"}},{"name":"allowPartial","in":"query","description":"If false, the system only adds associations when there are no status errors. If true, the system skips any ineligible associations and adds eligible associations.","required":false,"schema":{"$ref":"#/components/schemas/systemEnvironmentAllowPartial","default":false}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/addApiCatalogSystemEnvironmentAssociationsResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddApiCatalogSystemEnvironmentAssociationsRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddApiCatalogSystemEnvironmentAssociationsRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/addApiCatalogSystemEnvironmentAssociations"}}}}},"delete":{"operationId":"removeApiCatalogSystemEnvironmentAssociations","summary":"Remove system environment associations","description":"Removes workspace-environment associations from a system environment.","tags":["apiCatalog"],"parameters":[{"name":"systemEnvironmentId","in":"path","description":"The system environment's ID.","required":true,"schema":{"$ref":"#/components/schemas/systemEnvironmentId"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/removeApiCatalogSystemEnvironmentAssociationsResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveApiCatalogSystemEnvironmentAssociationsRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorTypeTitleDetailStatus"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveApiCatalogSystemEnvironmentAssociationsRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/removeApiCatalogSystemEnvironmentAssociations"}}}}}},"/security/api-validation":{"post":{"operationId":"schemaSecurityValidation","summary":"API definition security validation","description":"Performs an analysis on the given definition and returns any issues based on your [predefined rulesets](https://learning.postman.com/docs/api-governance/configurable-rules/configurable-rules-overview/). This endpoint can help you understand the violations' impact and offers solutions to help you resolve any errors. You can include this endpoint to your CI/CD process to automate schema validation.\n\n**Note:**\n\n- The maximum allowed size of the definition is 10 MB.\n- You must [import and enable](https://learning.postman.com/docs/api-governance/configurable-rules/configuring-api-governance-rules/) Postman's [OWASP security rules](https://postman.postman.co/api-governance/libraries/postman_owasp/view) for this endpoint to return any security rule violations.\n","tags":["apiSecurity"],"parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/schemaSecurityValidationResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonErrorNameObjectNameMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaSecurityValidationRequestUnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaSecurityValidationRequestForbiddenError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaSecurityValidationRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/schemaSecurityValidationRequest"}}}}}},"/audit/logs":{"get":{"operationId":"getAuditLogs","summary":"Get team audit logs","description":"Gets a list of your team's generated audit events. For a complete list of all audit events, see [Audit logs](https://learning.postman.com/docs/administration/audit-logs/).","tags":["auditLogs"],"parameters":[{"name":"userId","in":"query","description":"Return only results that match the given user ID.","required":false,"schema":{"$ref":"#/components/schemas/auditLogsUserIdQuery"}},{"name":"action","in":"query","description":"Filter results by an audit log action.","required":false,"schema":{"$ref":"#/components/schemas/auditLogsActionQuery"}},{"name":"since","in":"query","description":"Return logs created after the given time, in `YYYY-MM-DD` format.","required":false,"schema":{"$ref":"#/components/schemas/sinceDateQuery"}},{"name":"until","in":"query","descriptio
[...]
